Get started →
API reference

Carrier phone numbers

Provision, list, and analyze the phone numbers your carrier controls.

Phone number resource

PhoneNumberjson
{
  "data": {
    "id": "PN…",
    "type": "phone_number",
    "attributes": {
      "number": "+23412000000",
      "visibility": "public",
      "country": "NG",
      "price": "5000.00",
      "region": "LA",
      "locality": "Lagos",
      "rate_center": "LAGOS",
      "metadata": {},
      "status": "available"
    }
  }
}

Create / provision a number

POST/carrier/v1/phone_numbers
ParameterTypeDescription
data.type requiredstringphone_number
data.attributes.number requiredstringThe E.164 number to provision.
data.attributes.visibility optionalstringpublic or private.
data.attributes.country optionalstringISO country code (e.g. NG).
data.attributes.price optionalstringMonthly price customers are charged.
data.attributes.region optionalstringRegion / area code.
data.attributes.locality optionalstringLocality name.
data.attributes.rate_center optionalstringRate center.
data.attributes.lata optionalstringLocal access transport area.
data.attributes.latitude optionalnumberLatitude.
data.attributes.longitude optionalnumberLongitude.
data.attributes.metadata optionalobjectArbitrary metadata.

List phone numbers

GET/carrier/v1/phone_numbers

Return all numbers, with optional filters.

ParameterTypeDescription
filter[visibility] optionalstringFilter by visibility.
filter[country] optionalstringFilter by country code.
filter[number] optionalstringFilter by number.

Number stats

GET/carrier/v1/phone_numbers/stats

Return aggregate statistics across the carrier's numbers.

ParameterTypeDescription
from_date optionalstringStart date for the stats window.
to_date optionalstringEnd date for the stats window.
account_id optionalstringRestrict to one account.

Fetch a number

GET/carrier/v1/phone_numbers/{id}

Return a single phone number.

Update a number

PATCH/carrier/v1/phone_numbers/{id}

Update price, visibility, metadata, and other attributes.

Release a number

DELETE/carrier/v1/phone_numbers/{id}

Release the number back to the inventory.

Response — 200 OK.